Start a Dropbox connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /legal/dropbox/connect

Returns the Dropbox authorization URL to send the user to; the connection covers the whole organization. Requires an org admin or owner; returns 403 while the Dropbox integration is turned off.

Headers

  • organization string Required

    id of the selected (active) organization

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attribute Show data attribute object
      • authorizationUrl string
    • statusCode number Required
    • timestamp string(date-time) Required
GET /legal/dropbox/connect
curl \
 --request GET 'http://api.example.com/legal/dropbox/connect' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "authorizationUrl": "https://www.dropbox.com/oauth2/authorize?response_type=code&client_id=abc123&state=9f2c1e"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}